Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.heckmansoft.surjey.controller.action
Class Action

    java.lang.Object
      java.util.EventObject
          com.heckmansoft.surjey.controller.action.Action

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  QuestionAction, ResponseAction, SectionAction, SurveyAction, WelcomeAction

public abstract class Action
extends java.util.EventObject

Abstract superclass for all surjey actions.

See Also:
  Serialized Form

Field Summary
`protected QuestionManager` | `questionManager`
`protected SectionManager` | `sectionManager`
`protected SurveyManager` | `surveyManager`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`Action(java.lang.Object source)` Constructor.

Method Summary
`abstract java.lang.String` | `execute(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Takes a request and response, performs action, and returns the next view.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### surveyManager

    protected SurveyManager surveyManager

### questionManager

    protected QuestionManager questionManager

### sectionManager

    protected SectionManager sectionManager

Constructor Detail

### Action

    public Action(java.lang.Object source)

  Constructor.

Parameters:
  `source` - The source creating this action.

Method Detail

### execute

    public abstract java.lang.String execute(javax.servlet.http.HttpServletRequest request,
                                             javax.servlet.http.HttpServletResponse response)
                                      throws java.lang.Exception

  Takes a request and response, performs action, and returns the next view.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD